Subject: [regext] Review of draft-ietf-regext-org-ext-06

From: Pieter Vandepitte <[email-masked]>
Date: Thu, 24 May 2018 16:45:22 +0200

Hi Linlin

Here is my review of draft-ietf-regext-org-ext-06. Only small details.

===
The abstract is a bit different than all other RFCs. 

I would start with This document describes ... and I would also add the whole XML blah blah (Specified in XML, this mapping...)

===
In 2. Conventions, append the following text

> The XML namespace prefix "orgext" is
> used, but implementations MUST NOT depend on it and instead employ a
> proper namespace-aware XML parser and serializer to interpret and
> output the XML documents.

 ===
 
> 3.1 <https://tools.ietf.org/html/draft-ietf-regext-org-ext-06#section-3.1>.  Organization Identifier

Detail, but change <organization:id> to <org:id> ? It is the prefix used in the other draft.
 
 ===
 
> 4 <https://tools.ietf.org/html/draft-ietf-regext-org-ext-06#section-4>.  EPP Command Mapping
>    A detailed description of the EPP syntax and semantics can be found
>    in the EPP core protocol specification [RFC5730 <https://tools.ietf.org/html/rfc5730>].  The command
>    mappings described here are specifically for use in provisioning and
>    managing organization information via EPP.
 
This is not completely true. This draft is about assigning/linking organizations to other EPP objects, it's not about provisioning/managing organizations.
 
===
 
> 4.1 <https://tools.ietf.org/html/draft-ietf-regext-org-ext-06#section-4.1>.  EPP Query Commands
>    EPP provides three commands to retrieve domain information: <check>
>    to determine if a domain object can be provisioned within a
>    repository, <info> to retrieve detailed information associated with a
>    domain object, and <transfer> to retrieve domain-object transfer
>    status information.
 
Opinion: I would not emphasise on domains in the text, and only refer domain objects in the examples. I would also not repeat the 3 EPP object mappings at various places, as it is already mentioned in the intro that it applies to all object mappings. It makes the text less verbose.

So, e.g. for 4.1 I would write
 
   EPP provides three commands to retrieve  EPP object information: <check>
   to determine if an object is known to the server, <info> to retrieve
   detailed information associated with an object, and <transfer> to
   retrieve object transfer status information.

Same for 4.2

Another example, throughout the document: replace 
>    EPP domain mapping [RFC5731 <https://tools.ietf.org/html/rfc5731>],
>    host mapping [RFC5732 <https://tools.ietf.org/html/rfc5732>] and contact mapping [RFC5733 <https://tools.ietf.org/html/rfc5733>].

with 
> EPP object mapping

===

>    The EPP <update> command provides a transform operation that allows a
>    client to modify the attribute of an object.
 
attributes (plural)

No other remarks,

Kind regards

Pieter

---

From: "Linlin Zhou" <[email-masked]>
Date: Fri, 25 May 2018 15:53:51 +0800

Dear Pieter,
Please find my feedbacks below. Thanks for review.

Regards,
Linlin

[email-masked]
 
From: Pieter Vandepitte
Date: 2018-05-24 22:45
To: regext
Subject: [regext] Review of draft-ietf-regext-org-ext-06
 
Hi Linlin

===

[Linlin] "This document describes an extension to EPP object mappings, which is designed to support assigning an organization to any existing object  (domain, host, contact) as well as any future objects."
===
In 2. Conventions, append the following text

[Linlin] OK.
 ===
 
3.1.  Organization Identifier

[Linlin] Yes. This is one typo that I missed. It shoud be <org:id>.
 ===
 
4.  EPP Command Mapping
   A detailed description of the EPP syntax and semantics can be found
   in the EPP core protocol specification [RFC5730].  The command
   mappings described here are specifically for use in provisioning and
   managing organization information via EPP.

[Linlin] "The command mappings described here are specifically for assigning organizations to EPP objects."
===
 
4.1.  EPP Query Commands

 

Same for 4.2

Another example, throughout the document: replace 
   EPP domain mapping [RFC5731],
   host mapping [RFC5732] and contact mapping [RFC5733].
 
with 
EPP object mapping
 
 [Linlin] Thanks. I will change them to something general, not to emphase the "domain".
===

attributes (plural)
 [Linlin] Yes.

No other remarks,

Kind regards

Pieter